Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeSoundSystem_DS Class Reference

`#include <DirectSound.hpp>`

Inheritance diagram for IdeSoundSystem_DS:

[legend]
Collaboration diagram for IdeSoundSystem_DS:

[legend]
List of all members.

## Public Member Functions
| IdeSoundSystem_DS ()
virtual | ~IdeSoundSystem_DS ()
void * | GetInterface (int interface_id)
deBoolean | Initialize (HWND hWnd)
void | Destroy ()
IdeSoundBuffer * | CreateSoundBuffer (IdeSoundData *sndData)
float | GetRollOffFactor ()
float | GetDopplerFactor ()
float | GetDistanceFactor ()
void | SetRollOffFactor (float factor)
void | SetDopplerFactor (float factor)
void | SetDistanceFactor (float factor)
deBoolean | GetListenerPosition (float *x, float *y, float *z)
deBoolean | GetListenerPosition (deVec3d *pos)
deBoolean | GetListenerVelocity (float *x, float *y, float *z)
deBoolean | GetListenerVelocity (deVec3d *vel)
deBoolean | GetListenerOrientation (float *Fx, float *Fy, float *Fz, float *Tx, float *Ty, float *Tz)
deBoolean | GetListenerOrientation (deVec3d *Front, deVec3d *Top)
void | SetListenerPosition (float x, float y, float z)
void | SetListenerPosition (deVec3d pos)
void | SetListenerVelocity (float x, float y, float z)
void | SetListenerVelocity (deVec3d vel)
void | SetListenerOrientation (float Fx, float Fy, float Fz, float Tx, float Ty, float Tz)
void | SetListenerOrientation (deVec3d Front, deVec3d Top)
## Public Attributes
IDirectSound8 * | m_pDS
IDirectSoundBuffer * | m_pPrimaryBuffer
IDirectSound3DListener * | m_pListener
WAVEFORMATEX | m_Format
int | m_RefCount

## Constructor & Destructor Documentation

IdeSoundSystem_DS::IdeSoundSystem_DS | ( |  | ) |

IdeSoundSystem_DS::~IdeSoundSystem_DS | ( |  | ) | `[virtual]`

## Member Function Documentation

IdeSoundBuffer * IdeSoundSystem_DS::CreateSoundBuffer | ( | IdeSoundData * | sndData | ) | `[virtual]`

| Implements IdeSoundSystem.

void IdeSoundSystem_DS::Destroy | ( |  | ) | `[virtual]`

| Implements IdeSoundSystem.

float IdeSoundSystem_DS::GetDistanceFactor | ( |  | ) | `[virtual]`

| Implements IdeSoundSystem.

float IdeSoundSystem_DS::GetDopplerFactor | ( |  | ) | `[virtual]`

| Implements IdeSoundSystem.

void * IdeSoundSystem_DS::GetInterface | ( | int | interface_id | ) | `[virtual]`

| Implements IdeSoundSystem.

deBoolean IdeSoundSystem_DS::GetListenerOrientation | ( | deVec3d * | Front,
|  | deVec3d * | Top
| ) | `[virtual]`

| Implements IdeSoundSystem.

deBoolean IdeSoundSystem_DS::GetListenerOrientation | ( | float * | Fx,
|  | float * | Fy,
|  | float * | Fz,
|  | float * | Tx,
|  | float * | Ty,
|  | float * | Tz
| ) | `[virtual]`

| Implements IdeSoundSystem.

deBoolean IdeSoundSystem_DS::GetListenerPosition | ( | deVec3d * | pos | ) | `[virtual]`

| Implements IdeSoundSystem.

deBoolean IdeSoundSystem_DS::GetListenerPosition | ( | float * | x,
|  | float * | y,
|  | float * | z
| ) | `[virtual]`

| Implements IdeSoundSystem.

deBoolean IdeSoundSystem_DS::GetListenerVelocity | ( | deVec3d * | vel | ) | `[virtual]`

| Implements IdeSoundSystem.

deBoolean IdeSoundSystem_DS::GetListenerVelocity | ( | float * | x,
|  | float * | y,
|  | float * | z
| ) | `[virtual]`

| Implements IdeSoundSystem.

float IdeSoundSystem_DS::GetRollOffFactor | ( |  | ) | `[virtual]`

| Implements IdeSoundSystem.

deBoolean IdeSoundSystem_DS::Initialize | ( | HWND | hWnd | ) | `[virtual]`

| Implements IdeSoundSystem.

void IdeSoundSystem_DS::SetDistanceFactor | ( | float | factor | ) | `[virtual]`

| Implements IdeSoundSystem.

void IdeSoundSystem_DS::SetDopplerFactor | ( | float | factor | ) | `[virtual]`

| Implements IdeSoundSystem.

void IdeSoundSystem_DS::SetListenerOrientation | ( | deVec3d | Front,
|  | deVec3d | Top
| ) | `[virtual]`

| Implements IdeSoundSystem.

void IdeSoundSystem_DS::SetListenerOrientation | ( | float | Fx,
|  | float | Fy,
|  | float | Fz,
|  | float | Tx,
|  | float | Ty,
|  | float | Tz
| ) | `[virtual]`

| Implements IdeSoundSystem.

void IdeSoundSystem_DS::SetListenerPosition | ( | deVec3d | pos | ) | `[virtual]`

| Implements IdeSoundSystem.

void IdeSoundSystem_DS::SetListenerPosition | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[virtual]`

| Implements IdeSoundSystem.

void IdeSoundSystem_DS::SetListenerVelocity | ( | deVec3d | vel | ) | `[virtual]`

| Implements IdeSoundSystem.

void IdeSoundSystem_DS::SetListenerVelocity | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[virtual]`

| Implements IdeSoundSystem.

void IdeSoundSystem_DS::SetRollOffFactor | ( | float | factor | ) | `[virtual]`

| Implements IdeSoundSystem.

## Member Data Documentation

WAVEFORMATEX IdeSoundSystem_DS::m_Format

IDirectSound8* IdeSoundSystem_DS::m_pDS

IDirectSound3DListener* IdeSoundSystem_DS::m_pListener

IDirectSoundBuffer* IdeSoundSystem_DS::m_pPrimaryBuffer

int IdeSoundSystem_DS::m_RefCount

The documentation for this class was generated from the following files:

- DirectSound.hpp
- DirectSound.cpp